Skip to main content

Import application archives

POST
/applications/import

Contract

Parameter
Value
Sectionapplications
AuthenticationCookieAuth
Consumesmultipart/form-data
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
filesformDatayesfileOne or more .pa application archives (maximum 10)
  • {}

Responses

4 responses

Status
Description
Type
200
Import results: {results:[{fileName, id, name, error}], importedCount, failedCount}object
400
Invalid multipart form, no files provided, or too many files providedobject
401
Unauthorizedobject
500
Failed to prepare temporary storageobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": {}
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }